## pdm 2.26.2

=== chatbot/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

aiohappyeyeballs==2.4.3
aiohttp==3.11.7
aiosignal==1.3.1
aiosqlite==0.21.0
altair==5.4.1
annotated-types==0.7.0
anyio==4.6.2.post1
async-timeout==5.0.1; python_version < "3.11"
attrs==24.2.0
azure-core==1.32.0
azure-identity==1.19.0
banks==2.1.2
beautifulsoup4==4.12.3
blinker==1.9.0
cachetools==5.5.0
certifi==2024.8.30
cffi==1.17.1; platform_python_implementation != "PyPy"
charset-normalizer==3.4.0
click==8.1.7
colorama==0.4.6
cryptography==43.0.3
dataclasses-json==0.6.7
deprecated==1.2.18
dirtyjson==1.0.8
distro==1.9.0
exceptiongroup==1.2.2; python_version < "3.11"
filetype==1.2.0
frozenlist==1.5.0
fsspec==2024.10.0
gitdb==4.0.11
gitpython==3.1.43
greenlet==3.1.1
griffe==1.7.3
h11==0.14.0
httpcore==1.0.7
httpx==0.27.2
idna==3.10
jinja2==3.1.4
jiter==0.7.1
joblib==1.4.2
jsonschema==4.23.0
jsonschema-specifications==2024.10.1
llama-index-core==0.12.43
llama-index-embeddings-azure-openai==0.3.8
llama-index-embeddings-openai==0.3.0
llama-index-instrumentation==0.2.0
llama-index-llms-azure-openai==0.3.4
llama-index-llms-openai==0.4.7
llama-index-readers-file==0.4.9
llama-index-workflows==0.2.2
markupsafe==3.0.2
marshmallow==3.23.1
msal==1.31.1
msal-extensions==1.2.0
multidict==6.1.0
mypy-extensions==1.0.0
narwhals==1.14.1
nest-asyncio==1.6.0
networkx==3.4.2
nltk==3.9.1
numpy==2.1.3
openai==1.90.0
packaging==24.2
pandas==2.2.3
pillow==11.0.0
platformdirs==4.3.8
portalocker==2.10.1
propcache==0.2.0
protobuf==6.31.1
pyarrow==18.0.0
pycparser==2.22; platform_python_implementation != "PyPy"
pydantic==2.11.7
pydantic-core==2.33.2
pydeck==0.9.1
pyjwt[crypto]==2.10.0
pypdf==5.1.0
python-dateutil==2.9.0.post0
pytz==2024.2
pywin32==308; platform_system == "Windows"
pyyaml==6.0.2
referencing==0.35.1
regex==2024.11.6
requests==2.32.3
rpds-py==0.21.0
setuptools==80.9.0
six==1.16.0
smmap==5.0.1
sniffio==1.3.1
soupsieve==2.6
sqlalchemy[asyncio]==2.0.36
streamlit==1.46.0
striprtf==0.0.26
tenacity==8.5.0
tiktoken==0.8.0
toml==0.10.2
tornado==6.4.2
tqdm==4.67.0
typing-extensions==4.12.2
typing-inspect==0.9.0
typing-inspection==0.4.1
tzdata==2024.2
urllib3==2.5.0
watchdog==6.0.0; platform_system != "Darwin"
wrapt==1.17.0
yarl==1.18.0

=== debian/changelog ===
pdm (2.26.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mark-network-test.patch: Dropped, applied upstream.
  * debian/patches/update-test-to-use-correct-platform-alias.patch:
    Dropped, applied upstream.
  * debian/rules: Skip two more tests that need internet connection.
  * debian/watch: Update to version 5.
  * debian/patches/0002_fix_import.patch: Fix lintian format warnings.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 19:02:53 -0500

pdm (2.23.1-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit to mark some tests as requiring network.
  * Disable several failing tests.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Dec 2025 23:55:00 +0100

pdm (2.23.1-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS issue. Closes: #1118428.
  * Test only with the default python.

  [ Santiago Vila ]
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2025 18:55:00 +0100

=== debian/control ===
Source: pdm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-blinker,
               python3-certifi,
               python3-dep-logic,
               python3-dotenv,
               python3-findpython,
               python3-filelock,
               python3-hishel (<< 1.0),
               python3-httpcore,
               python3-httpx,
               python3-id,
               python3-installer,
               python3-msgpack,
               python3-packaging,
               python3-pbs-installer,
               python3-pdm-backend,
               python3-pyproject-hooks,
               python3-platformdirs,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-rerunfailures <!nocheck>,
               python3-pytest-httpserver <!nocheck>,
               python3-pytest-httpx <!nocheck>,
               python3-resolvelib,
               python3-rich,
               python3-shellingham,
               python3-tomlkit,
               python3-truststore,
               python3-unearth,
               python3-virtualenv
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm
Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git
Homepage: https://github.com/pdm-project/pdm

Package: python3-pdm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: next generation Python package management tool
 PDM is meant to be a next generation Python package management tool.
 If you feel you are going well with Pipenv or Poetry and don't want
 to introduce another package manager, just stick to it. But if you
 are missing something that is not present in those tools, you can
 probably find some goodness in pdm.
 .
 Highlights of features include:
  * Opt-in PEP 582 support, no virtualenv involved at all.
  * Simple and fast dependency resolver, mainly for large binary
    distributions.
  * A PEP 517 build backend.
  * PEP 621 project metadata.
  * Flexible and powerful plug-in system.
  * Versatile user scripts.
  * Opt-in centralized installation cache like pnpm.

=== debian/watch ===
Version: 5

Source: https://github.com/pdm-project/pdm/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
Uversionmangle: s/a\d//

## pdm 2.26.6

=== debian/changelog ===
pdm (2.26.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 10:34:28 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-dotenv,
                python3-findpython,
                python3-filelock,
-               python3-hishel (<< 1.0),
+               python3-hishel (>> 1.0),
                python3-httpcore,
                python3-httpx,
                python3-id,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PDM_BUILD_SCM_VERSION=$(shell dpkg-parsechangelog -S Version | cut -d- -f 1)

# test_use_python_write_file_without_use_python_version: need pypi network connection
# test_use_python_write_file_with_use_python_version: need pypi network connection
export PYBUILD_TEST_ARGS = -k 'not network \
  and not test_conda_backend_create \
  and not test_resolve_local_artifacts \
  and not test_resolve_two_extras_from_the_same_package \
  and not test_resolve_file_req_with_prerelease \
  and not test_project_packages_path \
  and not test_build_with_no_isolation \
  and not test_find_candidates_from_find_links \
  and not test_session_sources_all_proxy \
  and not test_create_venv_in_project \
  and not test_find_interpreters_with_PDM_IGNORE_ACTIVE_VENV \
  and not test_run \
  and not test_use_python_write_file_with_use_python_version \
  and not test_use_python_write_file_without_use_python_version \
  and not test_find_python'

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

execute_after_dh_python3:
	# Drop .pdm.toml
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm.toml
	 # Drop __pypackages__
	rm -rfv debian/*/usr/lib/python3/dist-packages/__pypackages__
	# Drop .pdm-python
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm-python
